For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetAccountInfo
        • POSTSetAccountInfo
        • POSTSetChildAccountInfo
        • POSTGetCurrencyRate
        • POSTGetResourcePrice
        • POSTGetSubscriptionPrice
        • POSTGetChildrenAccounts
        • POSTGetMoneyAmountToCharge
        • POSTChangeAccountPlan
        • POSTGetAccountPlans
        • POSTGetAvailablePlans
        • POSTGetAccountDocuments
        • POSTGetAccountVerifications
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceAccounts

GetAccountDocuments

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetAccountDocuments
POST
/platform_api/GetAccountDocuments
$curl -X POST https://api.voximplant.com/platform_api/GetAccountDocuments \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "account_id": 1,
5 "verifications": [
6 {
7 "verification_name": "RU",
8 "verification_status": "IN_PROGRESS",
9 "unverified_hold_until": "2015-02-15",
10 "documents": [
11 {
12 "account_document_id": 66,
13 "is_individual": true,
14 "comment": "very low quality",
15 "uploaded": "2015-02-01 06:50:07",
16 "account_document_status": "REJECTED"
17 },
18 {
19 "account_document_id": 74,
20 "is_individual": true,
21 "uploaded": "2015-02-01 07:34:01",
22 "account_document_status": "IN_PROGRESS"
23 }
24 ]
25 }
26 ]
27 }
28 ]
29}
Gets the account documents and the verification states. This method will be deprecated in the next versions. We recommend to use the [GetAccountVerifications](/api-reference/management-api/accounts/getaccountverifications) method to get all the verifications and statuses for the account. Allowed roles: `Owner`, `Admin`, `Accountant`, `Payer`.
Was this page helpful?
Previous

GetAvailablePlans

Next

GetAccountVerifications

Built with

Gets the account documents and the verification states.

This method will be deprecated in the next versions. We recommend to use the GetAccountVerifications method to get all the verifications and statuses for the account.

Allowed roles: Owner, Admin, Accountant, Payer.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

with_detailsbooleanOptionalDefaults to false

Whether to view the uploaded document statuses. (The flag is ignored with the child_account_id=all)

verification_namestringOptional
The required account verification name to filter
verification_statuslist of stringsOptional

The account verification status list separated by semicolons (;). The following values are possible: REQUIRED, IN_PROGRESS, VERIFIED

from_unverified_hold_untilstringOptional

Unverified subscriptions hold until the date (from …) in the following format: YYYY-MM-DD

to_unverified_hold_untilstringOptional

Unverified subscriptions hold until the date (… to) in the following format: YYYY-MM-DD

child_account_idlist of integersOptional

The child account ID list separated by semicolons (;). Use the ‘all’ value to select all child accounts

children_verifications_onlybooleanOptionalDefaults to false
Whether to get the children account verifications only

Response

Successful response
resultlist of objects
The account documents with verification states